aboutsummaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..a3b239a
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,13 @@
+#!/bin/sh -e
+
+script_dir=$(dirname "$0")
+cd "$script_dir"
+
+[ $(id -u) -ne 0 ] && echo "You need root privileges to run the install script" && exit 1
+
+rm -rf build
+meson setup build
+meson configure --prefix=/usr --buildtype=release -Dstrip=true build
+ninja -C build install
+
+echo "Successfully installed gsr-overlay"